# DataExchange
TKIGES
IGESDimen

# IGESDimen_CenterLine Class Reference

defines CenterLine, Type <106> Form <20-21>
in package IGESDimen
Is an entity appearing as crosshairs or as a
construction between 2 positions

`#include <IGESDimen_CenterLine.hxx>`

Inheritance diagram for IGESDimen_CenterLine:

[legend]

## Public Member Functions

Standard_EXPORT | IGESDimen_CenterLine ()
Standard_EXPORT void | Init (const Standard_Integer aDataType, const Standard_Real aZdisp, const Handle(TColgp_HArray1OfXY)&dataPnts)
| This method is used to set the fields of the class CenterLine - aDataType : Interpretation Flag, always = 1 - aZDisplacement : Common z displacement - dataPnts : Data points (x and y) .
Standard_EXPORT void | SetCrossHair (const Standard_Boolean mode)
| Sets FormNumber to 20 if <mode> is True, 21 else .
Standard_EXPORT Standard_Integer | Datatype () const
| returns Interpretation Flag : IP = 1.
Standard_EXPORT Standard_Integer | NbPoints () const
| returns Number of Data Points.
Standard_EXPORT Standard_Real | ZDisplacement () const
| returns Common Z displacement.
Standard_EXPORT gp_Pnt | Point (const Standard_Integer Index) const
| returns the data point as Pnt from gp. raises exception if Index <= 0 or Index > NbPoints()
Standard_EXPORT gp_Pnt | TransformedPoint (const Standard_Integer Index) const
| returns the data point as Pnt from gp after Transformation. raises exception if Index <= 0 or Index > NbPoints()
Standard_EXPORT Standard_Boolean | IsCrossHair () const
| returns True if Form is 20.
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | theDatatype
Standard_Real | theZDisplacement
Handle_TColgp_HArray1OfXY | theDataPoints

## Constructor & Destructor Documentation

Standard_EXPORT IGESDimen_CenterLine::IGESDimen_CenterLine | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer IGESDimen_CenterLine::Datatype | ( |  | ) | const

Standard_EXPORT const IGESDimen_CenterLine::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESDimen_CenterLine::Init | ( | const Standard_Integer | aDataType,
|  | const Standard_Real | aZdisp,
|  | const Handle(TColgp_HArray1OfXY)& | dataPnts
| ) |

Standard_EXPORT Standard_Boolean IGESDimen_CenterLine::IsCrossHair | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESDimen_CenterLine::NbPoints | ( |  | ) | const

Standard_EXPORT gp_Pnt IGESDimen_CenterLine::Point | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT void IGESDimen_CenterLine::SetCrossHair | ( | const Standard_Boolean | mode | ) |

Standard_EXPORT gp_Pnt IGESDimen_CenterLine::TransformedPoint | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT Standard_Real IGESDimen_CenterLine::ZDisplacement | ( |  | ) | const

## Field Documentation

Handle_TColgp_HArray1OfXY IGESDimen_CenterLine::theDataPoints `[private]`

Standard_Integer IGESDimen_CenterLine::theDatatype `[private]`

Standard_Real IGESDimen_CenterLine::theZDisplacement `[private]`

The documentation for this class was generated from the following file:

- IGESDimen_CenterLine.hxx